from netforce.model import Model, fields

class HDCaseDialyzerLine(Model):
    _name="clinic.hd.case.dialyzer"
    _fields={
        "hd_case_id": fields.Many2One("clinic.hd.case","HdCase",on_delete="cascade"),
        "visit_id": fields.Many2One("clinic.visit","Visit",on_delete="cascade"),
        "dialyzer_id": fields.Many2One("clinic.dialyzer","Dialzer",search=True),
        "description": fields.Char("Description",search=True),
        "use_time":fields.Integer("Use time"),
        "max_use_time":fields.Integer("Max use time"),
        "member_type": fields.Selection([("unsub","Unsub cellul"),("sub","Sub cellul"),("synthetic","Synthetic")],"Member Type"),
        "dialyzer_type": fields.Selection([("low","low flux"),("high","high flux"),("dbl","dbl hifulx")],"Member Type"),
        "bid_flow_rate": fields.Integer("Bid Flow Rate (ml/min)"),
        "ultrafittration": fields.Float("Ultrafittration Kg."),
        "state":fields.Selection([("draft","New"),("active","Active"),("drop","Drop")],"Status"),
    }

HDCaseDialyzerLine.register()

