from netforce.model import Model, fields, get_model

class PatientType(Model):
    _name="clinic.patient.type"
    _string="Patient Type"
    _key=['code','name']

    _fields={
        "name": fields.Char("Name",required=True,search=True),
        "code": fields.Char("Code",required=True,search=True),
        'contact_id': fields.Many2One("partner","Contact",domain=[['type','=','org']],required=True,search=True),
        'default': fields.Boolean("Default"),
    }
    
    def new_contact(self,ids,context={}):
        obj=self.browse(ids)[0]
        code=obj.code or ""
        name=obj.name or ""
        pids=get_model("partner").search([['code','=',code]])
        if not pids:
            vals={
                'name': name,
                'code': code,
                'customer': True,
                'type': 'org',
            }
            new_contact_id=get_model("partner").create(vals)
            obj.write({
                'contact_id': new_contact_id,
            })
    
    def write(self,ids,vals,**kw):
        default=vals.get('default')
        if default:
            for obj in self.search_browse([]):
                if obj.id not in ids:
                    obj.write({
                        'default': False,
                    })
        super().write(ids,vals,**kw)

PatientType.register()
